#ifndef __RPC_H__
#define __RPC_H__
#ifdef __cplusplus
extern "C" {
#endif

#include "lib/gba.h"

//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
typedef struct {
	bool isLED1;
	u32  var;

} ST_RPC;


//---------------------------------------------------------------------------
EWRAM_CODE void RpcInit(void);
IWRAM_CODE void RpcExec(void);
IWRAM_CODE void RpcDraw(void);

IWRAM_CODE void RpcSerial(char* str);
IWRAM_CODE void RpcSerialVar(char* str, u32* r);


#ifdef __cplusplus
}
#endif
#endif
