#include "lib/gba.h"
#include "irq_arm.h"
#include "bg.h"
#include "key.h"
#include "rpc.h"

//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
IWRAM_CODE int main(void)
{
	REG_WSCNT = 0x4018;

	IrqInit();
	BgInit();
	KeyInit();

	RpcInit();

	for(;;)
	{
		VBlankIntrWait();

		KeyExec();

		RpcExec();
		RpcDraw();
	}
}
